org.atinject.tck.auto.accessories

## Class RoundThing

- java.lang.Object
- - org.atinject.tck.auto.accessories.RoundThing

- Direct Known Subclasses:
    Tire

      public class RoundThing
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `packagePrivateMethod2Injected`
    `boolean` | `packagePrivateMethod3Injected`
    `boolean` | `packagePrivateMethod4Injected`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoundThing()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### packagePrivateMethod2Injected

          public boolean packagePrivateMethod2Injected

    - #### packagePrivateMethod3Injected

          public boolean packagePrivateMethod3Injected

    - #### packagePrivateMethod4Injected

          public boolean packagePrivateMethod4Injected

  - ### Constructor Detail

    - #### RoundThing

          public RoundThing()